Objects
Copy an object
PUT
/storage/buckets/{bucketName}/objects/{key}/copyCopy an object into a destination bucket/key.
Parameters
CopyObjectParamsdestinationBucketNamestring- Destination bucket name.
destinationKeystring- Destination object key.
originBucketstring- Source bucket name. Use the destination bucket name for same-bucket copies.
originKeystring- Source object key.
contentType?string- Optional content type override for the copied object.
cacheControl?string- Optional Cache-Control override for the copied object.
attributes?StorageAttributes- Optional attributes override for the copied object.
signal?AbortSignal- Abort signal for cancelling the copy request.
Returns
successboolean- Whether the copy completed.
destinationBucketNamestring- Destination bucket name.
destinationKeystring- Destination object key.
etagstring- Entity tag assigned to the copied object.